Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.startup
Class HostConfig

    java.lang.Object
      |
      +--org.apache.catalina.startup.HostConfig

All Implemented Interfaces:
  LifecycleListener

public final class HostConfig
extends java.lang.Object
implements LifecycleListener

Startup event listener for a Host that configures the properties of that Host, and the associated defined contexts.

Version:
  $Revision: 1.9.2.2 $ $Date: 2001/10/20 19:07:22 $
Author:
  Craig R. McClanahan

Constructor Summary
`HostConfig()`

Method Summary
`java.lang.String` | `getConfigClass()` Return the Context configuration class name.
`java.lang.String` | `getContextClass()` Return the Context implementation class name.
`int` | `getDebug()` Return the debugging detail level for this component.
`void` | `lifecycleEvent(LifecycleEvent event)` Process the START event for an associated Host.
`void` | `setConfigClass(java.lang.String configClass)` Set the Context configuration class name.
`void` | `setContextClass(java.lang.String contextClass)` Set the Context implementation class name.
`void` | `setDebug(int debug)` Set the debugging detail level for this component.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HostConfig

    public HostConfig()

Method Detail

### getConfigClass

    public java.lang.String getConfigClass()

  Return the Context configuration class name.

### setConfigClass

    public void setConfigClass(java.lang.String configClass)

  Set the Context configuration class name.
  Parameters:
    `configClass` - The new Context configuration class name.

### getContextClass

    public java.lang.String getContextClass()

  Return the Context implementation class name.

### setContextClass

    public void setContextClass(java.lang.String contextClass)

  Set the Context implementation class name.
  Parameters:
    `contextClass` - The new Context implementation class name.

### getDebug

    public int getDebug()

  Return the debugging detail level for this component.

### setDebug

    public void setDebug(int debug)

  Set the debugging detail level for this component.
  Parameters:
    `debug` - The new debugging detail level

### lifecycleEvent

    public void lifecycleEvent(LifecycleEvent event)

  Process the START event for an associated Host.
  Specified by:
    `lifecycleEvent` in interface `LifecycleListener`
  Parameters:
    `event` - The lifecycle event that has occurred

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 Apache Software Foundation. All Rights Reserved.